### File

`packages/components/eui-dashboard-button/eui-dashboard-button.component.ts`

### Description

A customizable dashboard button component that can display icons, labels, and images. Supports various states and sizes through host directives.

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary euiSuccess euiInfo euiWarning euiDanger euiAccent euiVariant euiSizeXS euiSizeS euiSizeM euiSizeL euiSizeXL euiSize2XL euiSizeVariant
selector | `eui-dashboard-button`
imports | `EUI_AVATAR`
styleUrls | `./eui-dashboard-button.scss`
templateUrl | `./eui-dashboard-button.component.html`

### Index

###### Properties
Public baseStatesDirective euiDashboardButtonIcon euiDashboardButtonLabel euiLabelContent
###### Inputs
imageUrl
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

imageUrl
Type : `string`

### HostBindings

class
Type : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`
Default value : `inject(BaseStatesDirective)`

euiDashboardButtonIcon
Type : `EuiDashboardButtonIconDirective`
Decorators : `@ContentChild(EuiDashboardButtonIconDirective)`

euiDashboardButtonLabel
Type : `EuiDashboardButtonLabelDirective`
Decorators : `@ContentChild(EuiDashboardButtonLabelDirective)`

euiLabelContent
Type : `EuiLabelComponent`
Decorators : `@ContentChild(EuiLabelComponent)`

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the dashboard button Returns : `string`

# results matching ""

# No results matching ""